version: "3.5"

services:
  nopaque:
    build:
      args:
        GID: ${HOST_GID}
        UID: ${HOST_UID}
      context: ./web
    depends_on:
      - db
      - mq
    env_file: .env
    image: nopaque:development
    restart: unless-stopped
    volumes:
      - "${NOPAQUE_DATA_DIR:-/mnt/nopaque}:${NOPAQUE_DATA_DIR:-/mnt/nopaque}"
      - "${HOST_NOPAQUE_LOG_FILE-./nopaque.log}:${NOPAQUE_LOG_FILE:-/home/nopaque/nopaque.log}"
  nopaqued:
    build:
      args:
        DOCKER_GID: ${HOST_DOCKER_GID}
        GID: ${HOST_GID}
        UID: ${HOST_UID}
      context: ./daemon
    depends_on:
      - db
      - nopaque
    env_file: .env
    image: nopaqued:development
    restart: unless-stopped
    volumes:
      - "/var/run/docker.sock:/var/run/docker.sock"
      - "${NOPAQUE_DATA_DIR:-/mnt/nopaque}:${NOPAQUE_DATA_DIR:-/mnt/nopaque}"
      - "${HOST_NOPAQUE_DAEMON_LOG_FILE-./nopaqued.log}:${NOPAQUE_DAEMON_LOG_FILE:-/home/nopaqued/nopaqued.log}"
  db:
    env_file: db.env
    image: postgres:11
    restart: unless-stopped
    volumes:
      - "${HOST_DB_DIR:-./db}:/var/lib/postgresql/data"
  mq:
    image: redis:6
    restart: unless-stopped
    volumes:
      - "${HOST_MQ_DIR:-./mq}:/data"
